package cn.com.tenlion.systembase.controller.route.line;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: LineController
 * @Description: 护路护线
 * @Author: CodeFactory
 * @Date: 2021-10-13 11:32:20
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "护路护线路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/line")
public class LineRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("line/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("line/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("line/list");
    }

}